#
# spec file for package perl-IO-Socket-INET6 (Version 2.56)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-IO-Socket-INET6
BuildRequires:  perl-Socket6
Version:        2.57
Release:        4.1
Requires:       perl = %{perl_version}
AutoReqProv:    on
Url:            http://cpan.org/modules/by-module/IO/
License:        Artistic License
Group:          Development/Libraries/Perl
Summary:        Provides an object interface to creating and using sockets
Source:         IO-Socket-INET6-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
IO::Socket::INET6 provides an object interface to creating and using
sockets in both AF_INET|AF_INET6 domain. It is built upon the
IO::Socket interface and inherits all the methods defined by
IO::Socket.



Authors:
--------
    Rafael Martinez Torres <rafael.martinez@novagnet.com>

%prep 
%setup -n IO-Socket-INET6-%{version} -q

%build
perl Makefile.PL
#exclude this test as it needs IPv6 network
mv t/io_sock6.t t/io_sock6.tt

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ChangeLog README MANIFEST
%doc %{_mandir}/man?/*
%{perl_vendorlib}/IO
%{perl_vendorarch}/auto/IO
/var/adm/perl-modules/*

%changelog
* Thu Jan 15 2009 anicka@suse.cz
- do not ignore test results (bnc#466026)
* Fri Nov 28 2008 ro@suse.de
- ignore test suite results for the moment
  (will not work without networking support in build environment)
* Mon Oct  6 2008 anicka@suse.cz
- update to 2.56
  * make sure both sides have the same family.
  * Fixed problem with connect to IPv4 w/o given domain on FreeBSD6.1 (and
  other BSD systems).
- remove -family patch (fixed upstream)
* Mon Oct  6 2008 anicka@suse.cz
- do not try to bind when we have AF_INET6 one one side and
  AF_INET on the other side and fix test failures (-family.diff)
* Mon Feb 25 2008 anicka@suse.cz
- update to 2.54
  * Added pack_sockaddr_in6_all to the imports from Socket6 to fix
  the "configure" sub in several cases. Added t/configure6.t to
  test it.
* Thu Feb 21 2008 anicka@suse.cz
- update to 2.53
  * Converted to Build.PL and placed INET6.pm under lib/.
  * Added a "repository" URL to the POD.
  * Added the pod.t and pod-coverage.t files and we now have full
    POD coverage.
  * Added "use warnings" to IO::Socket::INET6.
  * bugfixes, test fixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Thu Sep 15 2005 anicka@suse.cz
- package created
